Articles of debian

ImportError: ningún módulo llamado ‘pysqlite2’

He escrito un progtwig en Python que se hizo en Windows. Y en el entorno de prueba de windows funcionó bien. Ahora estoy configurando un servidor Linux para alojar internamente el progtwig. He instalado todas las dependencias, etc. desde un archivo de requisitos generado, pero cuando lo ejecuto, surge un problema. ImportError: No Module Named […]

¿Hay alguna manera de saber si python se configuró y compiló con “–with-threads –enable-shared”?

Esto es para Python 2.6.6 en Debian Squeeez. Estoy tratando de averiguar si los binarios enviados con debian se configuraron con los indicadores de: –with-threads –enable-shared como si no lo fueran, necesitaré comstackr e instalar desde la fuente.

Error de cx_freeze con datos de matplotlib

Estoy intentando congelar un progtwig Python con cx_freeze, en una máquina Debian 8, pero me encuentro con este mensaje de error: copying /usr/lib/python2.7/dist-packages/matplotlib/mpl-data -> build/exe.linux-x86_64-2.7/mpl-data error: [Errno 2] No such file or directory: ‘/usr/lib/python2.7/dist-packages/matplotlib/mpl-data’ Mi archivo setup.py contiene: from cx_Freeze import setup, Executable buildOptions = { “excludes”: [“PyQt5”]} # PyQt5 conflicts with PyQt4 base = […]

No hay módulo de Debian llamado numpy

He instalado Python Numpy en Debian usando … apt-get install python-numpy Pero cuando ejecuto el shell de Python obtengo lo siguiente … Python 2.7.10 (default, Sep 9 2015, 20:21:51) [GCC 4.9.2] on linux2 Type “help”, “copyright”, “credits” or “license” for more information. >>> import numpy Traceback (most recent call last): File “”, line 1, in […]

¿Dónde puedo encontrar e instalar las dependencias para pygame?

Soy relativamente nuevo en Linux e bash instalar el entorno de pygame dev para python. Cuando ejecuto setup.py dice que necesito instalar las siguientes dependencias, una de las cuales encontré e instalé (SDL). Sin embargo, los otros han sido más esquivos. Hunting dependencies… sh: smpeg-config: command not found WARNING: “smpeg-config” failed! SDL : found 1.2.14 […]

Actualiza el sqlite3 de Python en Debian

Estoy usando Python 2.7.6 (predeterminado, 22 de marzo de 2014, 22:59:56) [GCC 4.8.2] en linux2 en mi Debian, y por lo general uso el módulo sqlite3 sin ningún problema. Compilé un spellfix de extensión spellfix , obtengo este error al cargarlo: sqlite3.OperationalError: ./spellfix.so: símbolo no definido: sqlite3_malloc64 Creo que podría ser porque el módulo sqlite3 […]

PYTHONPATH ignorado

Entorno: debian 4.0 Python 2.4 Mi ‘proyecto’ está instalado en: /usr/lib/python2.4/site-packages/project. Pero quiero usar mi copia de trabajo en lugar de la instalada que se encuentra en: / home / me / dev / project / src Entonces lo que hago es: export PYTHONPATH = / home / me / dev / project / src […]

Solicitudes de Python: ¿Cómo utilizar los certificados CA del sistema (debian / ubuntu)?

He instalado un /usr/share/ca-certificates/local ca raíz autofirmado en /usr/share/ca-certificates/local y los instalé con sudo dpkg-reconfigure ca-certificates . En este punto es true | gnutls-cli mysite.local true | gnutls-cli mysite.local es feliz y true | openssl s_client -connect mysite.local:443 true | openssl s_client -connect mysite.local:443 está contento, pero el módulo de solicitudes python2 y python3 insiste […]

Error de instalación del módulo Python: el comando ‘gcc’ falló con el estado de salida 1

Estoy en Debian Squeeze, y quiero instalar el módulo igraph . Por lo tanto, estoy siguiendo todos los pasos , pero cuando trato de hacer python setup.py build Me sale un error que dice: error: command ‘gcc’ failed with exit status 1 Pero, al comienzo del mensaje del terminal, recibo errores como estos: In file […]

¿Cómo actualizar-alternativas a Python 3 sin romper apt?

El otro día decidí que quería que el comando python se activara de forma predeterminada para encender python3 en lugar de python2. Así que hice esto: sudo update-alternatives –install /usr/bin/python python /usr/bin /python2.7 2 sudo update-alternatives –install /usr/bin/python python /usr/bin/python3.5 3 sudo actualización-alternativas –config python $ sudo update-alternatives –config python There are 2 choices for […]